"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useArePackagesInstalled = void 0;
const client_1 = require("@deep-foundation/deeplinks/imports/client");
function useArePackagesInstalled(param) {
    const { packageNames } = param;
    const { data, loading, error } = (0, client_1.useDeepSubscription)({
        type_id: {
            _id: ['@deep-foundation/core', 'Package'],
        },
        string: {
            value: {
                _in: packageNames,
            },
        },
    });
    let packageInstallationStatuses = undefined;
    if (data) {
        packageInstallationStatuses =
            packageNames.reduce((packageInstallationStatuses, packageName) => {
                packageInstallationStatuses[packageName] = !!data.find((item) => { var _a; return ((_a = item.value) === null || _a === void 0 ? void 0 : _a.value) === packageName; });
                return packageInstallationStatuses;
            }, packageInstallationStatuses !== null && packageInstallationStatuses !== void 0 ? packageInstallationStatuses : {});
    }
    return { packageInstallationStatuses, loading, error };
}
exports.useArePackagesInstalled = useArePackagesInstalled;
